Bug 983374 - The status of nodejs cartridge displays 'running' while the actual state is stop
The status of nodejs cartridge displays 'running' while the actual state is stop
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 01:51 EDT by Lei Zhang
Modified: 2015-05-14 19:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:24:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-07-11 01:51:18 EDT
Description of problem:
Given a normal nodejs-0.6 app(e.g, mynodejs06), run 'rhc cartridge stop -a mynodejs06 -c nodejs-0.6' to stop it, and then 'rhc cartridge status  -a mynodejs06 -c nodejs-0.6' to check its state.

[rayzhang@rayzhang Work]$ rhc cartridge stop -a mynodejs06 -c nodejs-0.6
Stopping nodejs-0.6 ... done
[rayzhang@rayzhang Work]$ rhc cartridge status  -a mynodejs06 -c nodejs-0.6
RESULT:
Application is running
[rayzhang@rayzhang Work]$ rhc app show --gear -a  mynodejs06 
ID                       State   Cartridges Size  SSH URL
------------------------ ------- ---------- ----- -------------------------------------------------------
51de351503ef640f120000e2 stopped nodejs-0.6 small 51de351503ef640f120000e2@mynodejs06-ray.int.rhcloud.com

Version-Release number of selected component (if applicable):
INT(devenv_3481)
rhc-1.11.4

How reproducible:
always

Steps to Reproduce:
1. create a normal nodejs app
rhc app create mynodejs06 nodejs-0.6 
2. stop it
rhc cartridge stop -a mynodejs06 -c nodejs-0.6
3. check statue of the cartridge 
rhc cartridge status  -a mynodejs06 -c nodejs-0.6
4. show gear  
rhc app show --gear -a  mynodejs06

Actual results:
The status of nodejs cartridge displays 'running'.

Expected results:
When the cartridge stop, the state of cartridge should display like 'Application is either stopped or inaccessible'

Additional info:
Comment 1 Fotios Lindiakos 2013-07-11 11:35:09 EDT
This was a trivial fix, PR is being merged.

https://github.com/openshift/origin-server/pull/3063
Comment 2 openshift-github-bot 2013-07-11 13:02:57 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/8539f95b1d619de257f1a8fec207e1f4c3d6de74
Bug 983374 - NodeJS status not being reported properly

https://bugzilla.redhat.com/show_bug.cgi?id=983374

Syntax error in `bin/control status` was causing the wrong status to be shown
Comment 3 Lei Zhang 2013-07-12 01:17:40 EDT
Verified on devenv_3489, the bug has been fixed successfully.

[rayzhang@rayzhang Work]$ rhc cartridge stop -a mynodejs06 -c nodejs-0.6 
Stopping nodejs-0.6 ... done
[rayzhang@rayzhang Work]$ rhc cartridge status -a mynodejs06 -c nodejs-0.6 
RESULT:
Application is not running
[rayzhang@rayzhang Work]$ rhc app show --state  -a  mynodejs06
Cartridge nodejs-0.6 is stopped
[rayzhang@rayzhang Work]$ rhc cartridge start -a mynodejs06 -c nodejs-0.6 
Starting nodejs-0.6 ... done
[rayzhang@rayzhang Work]$ rhc cartridge status -a mynodejs06 -c nodejs-0.6 
RESULT:
Application is running
[rayzhang@rayzhang Work]$ rhc app show --state  -a  mynodejs06
Cartridge nodejs-0.6 is started

Note You need to log in before you can comment on or make changes to this bug.